Subject: Re: [CFRG] Proposed resolution for erratum 5930 on RFC 8032

From: Daniel Kahn Gillmor <[email-masked]>
Date: Fri, 21 May 2021 18:13:36 -0400

I note that erratum 5930 is still in the "reported" stage for RFC 8032,
despite it being clearly correct.  Can we move it to "Verified"?  I
don't much care whether it is marked as "Technical" or "Editorial".

   https://www.rfc-editor.org/errata_search.php?eid=5930

        --dkg

On Mon 2021-01-18 07:52:23 +0200, Ilari Liusvaara wrote:
> On Fri, Jan 15, 2021 at 05:39:22PM +0000, Alexey Melnikov wrote:
>> Dear CFRG (and editors),
>> 
>> Daniel Bleichenbacher submitted the following editorial erratum on RFC 8032
>> ("Edwards-Curve Digital Signature Algorithm (EdDSA)")
>> 
>> Section 6 says:
>> 
>> OLD:
>> 
>> def verify(public, msg, signature):
>>     if len(public) != 32:
>>         raise Exception("Bad public key length")
>>     if len(signature) != 64:
>>         Exception("Bad signature length")
>> 
>> It should say:
>> 
>> def verify(public, msg, signature):
>>     if len(public) != 32:
>>         raise Exception("Bad public key length")
>>     if len(signature) != 64:
>>         raise Exception("Bad signature length")
>> 
>> 
>> Note: Missing raise before Exception
>> 
>> -------------------
>> 
>> This is indeed looks like a Python syntax error. So I propose to resolve
>> this erratum as suggested by Daniel.
>> 
>
> While I think the proposed text above is correct, I am not so sure about
> the errata being marked editorial (I very well might be incorrect here).
> The error makes code work incorrectly (on one case with invalid input),
> it is not an error in code that does not affect function (e.g., typo in
> comment or consistent typo in variable name).
>
>
>
> -Ilari
>
> _______________________________________________
> CFRG mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/cfrg